Troubleshooting WebSphere Application Server “Unable to find supported browser” error on a Linux RHEL 6.4 system

If you encounter the following error:

“Unable to find supported browser”

on a Linux RHEL 6.4 system, this is usually a result of the Firefox browser being updated to Version 10 or later. You need to check the version of Firefox. If using version 10 or greater, edit the browser.sh and fbrowser.sh shell scripts (using vi or gedit) so it contains the following string in the supportedFirefoxVersion case statement:

*Firefox\ [1-9][0-9].*) return 0;;

The function before the update should look like this:

supportedFirefoxVersion()
{
case “$*” in
*Firefox\ [1-9].*) return 0;;
*Firefox/[1-9].*) return 0;;

The function after the update should look like this:

supportedFirefoxVersion()
{
case “$*” in
*Firefox\ [1-9].*) return 0;;
*Firefox/[1-9].*) return 0;;
*Firefox\ [1-9][0-9].*) return 0;;

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: